%define origname GeoIP

Summary:    GeoIP is a C library find what country an IP address or hostname originates from.
Name:	    lib%{origname}
Version:    1.3.1
Release:    alt1
Copyright:  GPL
Group:	    System/Libraries
Source:     http://www.maxmind.com/download/geoip/api/c/%origname-%version.tar.gz
URL:	    http://www.maxmind.com/app/c

# Automatically added by buildreq on Thu Nov 27 2003
BuildRequires: glibc-devel-static zlib-devel

%description
%origname is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%description -l ru_RU.KOI8-R
%origname --  ,       
IP-   .     
    2003 .     
IP-         . 
       
DNS.        
 http://www.maxmind.com/

       
 ,    www- 
 ,   ,   
       
 .

%description -l ru_RU.KOI8-U
%origname --  ¦̦,   ϧ    
IP-Ӧ  צ .  դ  ЦĦ 
    2003 .    ͦ  ¦
 IP-  Ħ ަ     Ħ
.    ,  Φ
 DNS. æ      Φ 
 http://www.maxmind.com/

 ¦̦      Ʀ
 , ̦ ̦  www- 
 , צ  צ,    
 ,       
 .

%package devel
Summary: GeoIP headers, libraries
Group: Development/C
Requires: %name = %version

%description devel
%origname is a C library that enables the user to find the country that
any IP address or hostname originates from.

This package contain the devel files for %origname.

%description -l ru_RU.KOI8-R devel
%origname --  ,       
IP-   .

        
 %origname  .

%description -l ru_RU.KOI8-U devel
%origname --  ¦̦,   ϧ    
IP-Ӧ  צ .

  ͦ  ¦ צ ¦̦   ˦
%origname, Ȧ .

%package devel-static
Summary: GeoIP static libraries
Group: Development/C
Requires: %name = %version

%description devel-static
%origname is a C library that enables the user to find the country that any IP
address or hostname originates from.

This package contain static libraries for %origname.

%description -l ru_RU.KOI8-R devel-static
%origname --  ,       
IP-   .

       %origname, 
 .

%description -l ru_RU.KOI8-U devel-static
%origname --  ¦̦,   ϧ    
IP-Ӧ  צ .

  ͦ  ¦ Φ ¦̦ %origname, ȦΦ 
.

%package tools
Summary: GeoIP tools
Group: System/Libraries
Requires: %name = %version

%description tools
%origname is a C library that enables the user to find the country that
any IP address or hostname originates from.

This package contain few tools for %origname such as lookup, export,
autoupdate.

%description -l ru_RU.KOI8-R tools
%origname --  ,       
IP-   .

       %origname  :
, ,  .

%description -l ru_RU.KOI8-U tools
%origname --  ¦̦,   ϧ    
IP-Ӧ  צ .

  ͦ  ¦ ˦ ̦ %origname  : 
, , .

%prep
%setup -q -n %origname-%version

%build
%configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir/%origname \
	--includedir=%_includedir/%origname \
	--datadir=%_datadir \
	--mandir=%_mandir
%make
%make check

%install
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS COPYING ChangeLog README TODO
%config(noreplace) %_sysconfdir/%origname/*
%_libdir/*.so.*
%_datadir/%origname/*
%dir %_sysconfdir/%origname
%dir %_datadir/%origname

%files devel
%_includedir/%origname/*
%dir %_includedir/%origname
%_libdir/*.so

%files devel-static
%_libdir/*.a
#%_libdir/*.la

%files tools
%_bindir/*
%_man1dir/*

%changelog
* Thu Nov 27 2003 Serhii Hlodin <hlodin@altlinux.ru> 1.3.1-alt1
- Initial build from original SPEC-file by Peter Bieringer
- Create additional packages: devel-static and tools

* Mon Sep  8 2003 Dr. Peter Bieringer
- Fix for RHL 9, created a new devel package definition.

* Thu Feb 27 2003 Ryan Weaver <ryanw@falsehope.com>
- Initial RPM Build
